Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::video_packet_t Struct Reference

`#include <packet_i.h>`

Inherits agora::rtc::rtc_packet_t.

## Classes
struct | Extension
union | video3_flags

## Public Types
enum | VIDEO_STREAM_TYPE { VIDEO_STREAM_UNKNOWN = -1 , VIDEO_STREAM_HIGH = 0 , VIDEO_STREAM_LOW = 1 , VIDEO_STREAM_MEDIUM = 2 , VIDEO_STREAM_LIVE = 3 , VIDEO_STREAM_LAYER_0 = VIDEO_STREAM_HIGH , VIDEO_STREAM_LAYER_1 = 4 , VIDEO_STREAM_LAYER_2 = 5 , VIDEO_STREAM_LAYER_3 = 6 , VIDEO_STREAM_LAYER_4 = 7 , VIDEO_STREAM_LAYER_5 = 8 , VIDEO_STREAM_LAYER_6 = 9 , VIDEO_STREAM_MIN = VIDEO_STREAM_HIGH , VIDEO_STREAM_MAX = VIDEO_STREAM_LAYER_6 }
enum | VIDEO_FLAG_TYPE { VIDEO_FLAG_KEY_FRAME = 0x80 , VIDEO_FLAG_FEC = 0x40 , VIDEO_FLAG_LIVE = 0x20 , VIDEO_FLAG_STD_CODEC = 0x8 , VIDEO_FLAG_B_FRAME = 0x10 , VIDEO_FLAG_HARDWARE_ENCODE = 0x4 }
enum | VIDEO_FRAME_TYPE { KEY_FRAME = 0 , DELTA_FRAME = 1 , B_FRAME = 2 }
enum | VIDEO_CODEC_TYPE { VIDEO_CODEC_VP8 = 1 , VIDEO_CODEC_H264 = 2 , VIDEO_CODEC_EVP = 3 , VIDEO_CODEC_E264 = 4 }
enum | VIDEO_EXTRA_FLAG_TYPE { VIDEO_EXTRA_FLAG_TIMESTAMP_SET = 0x1 }
enum | EXTENSION_VERSION { EXTENSION_VERSION_0 = 0 , EXTENSION_VERSION_1 = 1 , EXTENSION_VERSION_2 = 2 }
Public Types inherited from agora::rtc::rtc_packet_t
enum | INTERNAL_FLAG_TYPE { RTC_FLAG_REXFERRED = 0x1 , RTC_FLAG_FROM_VOS = 0x2 , RTC_FLAG_FROM_P2P = 0x4 , RTC_FLAG_FROM_BROADCAST = 0x8 , VIDEO_FLAG_TIMESTAMP_SET = 0x10 , VIDEO_FLAG_CACHED = 0x20 , VIDEO_FLAG_VIDEO3 = 0x40 }

## Public Member Functions
| video_packet_t ()
void | fromVideType (uint8_t f)
uint8_t | toVideoType () const
bool | hasReserveBit (uint16_t bit)
Public Member Functions inherited from agora::rtc::rtc_packet_t
| rtc_packet_t ()

## Public Attributes
uint32_t | frameSeq
uint8_t | frameType
uint8_t | streamType
uint16_t | packets
uint16_t | subseq
uint16_t | fecPkgNum
uint8_t | codec
uint8_t | flags
uint8_t | protocolVersion
uint32_t | reqMs
uint32_t | reserve1
Extension | extension
int64_t | transport_seq
int8_t | cc_type
uint8_t | max_temporal_layers
uint8_t | curr_temporal_layer
uint32_t | bitrate_profile_kbps
Public Attributes inherited from agora::rtc::rtc_packet_t
uid_t | uid
uint32_t | seq
uint16_t | payload_length
uint64_t | sent_ts
uint64_t | recv_ts
int | link_id
uint8_t | internal_flags
std::string | payload

## Member Enumeration Documentation

## ◆ VIDEO_STREAM_TYPE

enum agora::rtc::video_packet_t::VIDEO_STREAM_TYPE

Enumerator
VIDEO_STREAM_UNKNOWN |
VIDEO_STREAM_HIGH |
VIDEO_STREAM_LOW |
VIDEO_STREAM_MEDIUM |
VIDEO_STREAM_LIVE |
VIDEO_STREAM_LAYER_0 |
VIDEO_STREAM_LAYER_1 |
VIDEO_STREAM_LAYER_2 |
VIDEO_STREAM_LAYER_3 |
VIDEO_STREAM_LAYER_4 |
VIDEO_STREAM_LAYER_5 |
VIDEO_STREAM_LAYER_6 |
VIDEO_STREAM_MIN |
VIDEO_STREAM_MAX |

## ◆ VIDEO_FLAG_TYPE

enum agora::rtc::video_packet_t::VIDEO_FLAG_TYPE

Enumerator
VIDEO_FLAG_KEY_FRAME |
VIDEO_FLAG_FEC |
VIDEO_FLAG_LIVE |
VIDEO_FLAG_STD_CODEC |
VIDEO_FLAG_B_FRAME |
VIDEO_FLAG_HARDWARE_ENCODE |

## ◆ VIDEO_FRAME_TYPE

enum agora::rtc::video_packet_t::VIDEO_FRAME_TYPE

Enumerator
KEY_FRAME |
DELTA_FRAME |
B_FRAME |

## ◆ VIDEO_CODEC_TYPE

enum agora::rtc::video_packet_t::VIDEO_CODEC_TYPE

Enumerator
VIDEO_CODEC_VP8 |
VIDEO_CODEC_H264 |
VIDEO_CODEC_EVP |
VIDEO_CODEC_E264 |

## ◆ VIDEO_EXTRA_FLAG_TYPE

enum agora::rtc::video_packet_t::VIDEO_EXTRA_FLAG_TYPE

Enumerator
VIDEO_EXTRA_FLAG_TIMESTAMP_SET |

## ◆ EXTENSION_VERSION

enum agora::rtc::video_packet_t::EXTENSION_VERSION

Enumerator
EXTENSION_VERSION_0 |
EXTENSION_VERSION_1 |
EXTENSION_VERSION_2 |

## Constructor & Destructor Documentation

## ◆ video_packet_t()

agora::rtc::video_packet_t::video_packet_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ fromVideType()

void agora::rtc::video_packet_t::fromVideType | ( | uint8_t | f | ) |
| inline

## ◆ toVideoType()

uint8_t agora::rtc::video_packet_t::toVideoType | ( |  | ) | const
| inline

## ◆ hasReserveBit()

bool agora::rtc::video_packet_t::hasReserveBit | ( | uint16_t | bit | ) |
| inline

## Member Data Documentation

## ◆ frameSeq

uint32_t agora::rtc::video_packet_t::frameSeq

## ◆ frameType

uint8_t agora::rtc::video_packet_t::frameType

## ◆ streamType

uint8_t agora::rtc::video_packet_t::streamType

## ◆ packets

uint16_t agora::rtc::video_packet_t::packets

## ◆ subseq

uint16_t agora::rtc::video_packet_t::subseq

## ◆ fecPkgNum

uint16_t agora::rtc::video_packet_t::fecPkgNum

## ◆ codec

uint8_t agora::rtc::video_packet_t::codec

## ◆ flags

uint8_t agora::rtc::video_packet_t::flags

## ◆ protocolVersion

uint8_t agora::rtc::video_packet_t::protocolVersion

## ◆ reqMs

uint32_t agora::rtc::video_packet_t::reqMs

## ◆ reserve1

uint32_t agora::rtc::video_packet_t::reserve1

## ◆ extension

Extension agora::rtc::video_packet_t::extension

## ◆ transport_seq

int64_t agora::rtc::video_packet_t::transport_seq

## ◆ cc_type

int8_t agora::rtc::video_packet_t::cc_type

## ◆ max_temporal_layers

uint8_t agora::rtc::video_packet_t::max_temporal_layers

## ◆ curr_temporal_layer

uint8_t agora::rtc::video_packet_t::curr_temporal_layer

## ◆ bitrate_profile_kbps

uint32_t agora::rtc::video_packet_t::bitrate_profile_kbps